@import url('https://fonts.googleapis.com/css2?family=Lato&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Chivo:wght@800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Lato:wght@700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');

body{
    background: black;
}

*{
    margin: 0;
    padding: 0;
}

.menu{
    background: #000000;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 50px;
}

.menu .logo img{
    width: 250px;
    height: 83px;
}

.menu ul{
    display: flex;
    gap: 50px;
}

.menu ul li{
    list-style: none;
}

.menu ul li a{
    text-decoration: none;
    color: white;
    font-family: 'Lato', sans-serif;
    font-size: 20px;
    letter-spacing: 1px;
}

.menu ul li a:hover{
    color: turquoise;
    text-shadow: 0 0 3px turquoise;
}

.ham{
    display: none;
}

#checkbox {
  display: none;
}

.toggle {
  position: relative;
  width: 40px;
  height: 40px;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 10px;
  transition-duration: .5s;
}

.bars {
  width: 100%;
  height: 4px;
  background-color: white;
  border-radius: 4px;
}

#bar2 {
  transition-duration: .8s;
  background-color: turquoise;
}

#bar1,#bar3 {
  width: 70%;
}

#checkbox:checked + .toggle .bars {
  position: absolute;
  transition-duration: .5s;
}

#checkbox:checked + .toggle #bar2 {
  transform: scaleX(0);
  transition-duration: .5s;
}

#checkbox:checked + .toggle #bar1 {
  width: 100%;
  transform: rotate(45deg);
  transition-duration: .5s;
}

#checkbox:checked + .toggle #bar3 {
  width: 100%;
  transform: rotate(-45deg);
  transition-duration: .5s;
}

#checkbox:checked + .toggle {
  transition-duration: .5s;
  transform: rotate(180deg);
}

@media (max-width:1080px){
    .menu ul{
        display: none;
    }

    .ham{
        display: block;
    }
}

@media (max-width:500px){
  .menu .logo img{
    width: 200px;
    height: 66px;
}
}

@media (max-width:400px){
  .menu{
    padding: 20px 30px;
  }
  .menu .logo img{
    width: 150px;
    height: 49px;
  }
}

.menu-mobile{
  position: absolute;
  right: 50px;
  top: 150px;
  width: 250px;
  background-color: black;
  border-radius: 30px;
  border: 3px solid turquoise;
  overflow: hidden;
  z-index: 1;
  display: none;
  padding: 40px 20px;
  transition: ease-in-out 700ms;
}

.menu-mobile ul{
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 30px;
}

.menu-mobile li{
  display: flex;
  align-items: center;
  justify-content: center;
}

.menu-mobile li a{
  text-decoration: none;
  color: white;
  font-family: 'Lato', sans-serif;
  font-size: 20px;
  letter-spacing: 1px;
}

.menu-mobile li a:hover{
  color: turquoise;
  text-shadow: 0 0 3px turquoise;
}

@media(max-width:1080px){
  .menu-mobile.open{
    display: block;
  }
}

@media(max-width:650px){
  .menu-mobile{
    left: 50px;
    width: unset;
  }
}

@media(max-width:350px){
  .menu-mobile{
    left: 35px;
    right: 35px;
  }
}

.background{
  background: grey;
}

.filter{
  background: rgba(0, 0, 0, 0.4);
}


.head{
    padding: 40px 150px;
}
  
.titre{
    position: relative;
    display: flex;
    font-size: clamp(18px, 4vw, 30px);
    justify-content: center;
    align-items: center;
    color: turquoise;
    letter-spacing: 2px;
    text-align: center;
    font-family: 'Chivo', sans-serif;
    text-shadow: 4px 0 0 black, 4px 4px 0 black, 0 4px 0 black, -4px 4px 0 black, -4px 0 0 black, -4px -4px 0 black, 0 -4px 0 black, 4px -4px 0 black;
}

.filtre{
  background-image: url(merback/1.jpg);
  background-size: cover;
  background-position: center;
}

.house{
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-direction: row;
    flex-wrap: wrap-reverse;
    gap: 100px;
    padding: 150px 90px;
    border-top: 3px solid rgb(255, 255, 255);
    border-bottom: 3px solid rgb(255, 255, 255);
    background: rgba(0, 0, 0, 0.9);
}

.sliderhouse img{
    width: 450px;
    height: 600px;
    display: none;
    border: 5px solid white;
}

.sliderhouse img.active{
    display: block;
    animation: fade 0.8s;
}
@keyframes fade {
    from{
        opacity: 0;
    } 
    to {
        opacity: 1;
    }
}

.stpierretxt{
    background: transparent;
    width: 450px;
    padding: 40px 30px;
    border-radius: 30px;
    border: 4px solid turquoise;
}

.stpierretxt h2{
    color: rgb(255, 255, 255);
    display: flex;
    justify-content: center;
    font-family: sans-serif;
    text-align: center;
}
  
.stpierretxt p{
    color: white;
    font-family: 'Poppins', sans-serif;
    font-size: large;
}

.cont-btn{
    width: 80%;
    margin: 0 auto;
    padding: 15px 0px;
    border: 2px solid turquoise;
    background-color: #000000;
    margin-top: 10px;
    height: auto;
    display: flex;
    justify-content: center;
    border-radius: 10px;
}

.btn-nav{
    font-size: 35px;
    margin: 0px 50px;
    cursor: pointer;
    color: white;
}

.visit button{
  padding: 20px 30px;
  cursor: pointer;
  background-color: #23242a;
  border-radius: 5px;
  border: 2px solid turquoise;
  position: relative;
  margin: 20px auto;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 0;
  transition: all 500ms;
}

.visit button a{
  text-decoration: none;
  color: white;
}

.visit button:hover{
  transform: scale(1.05);
  box-shadow: turquoise 0px 0px 10px;
}

@media(max-width:650px){
    .house{
        padding: 50px 35px;
    }

    .stpierretxt{
        width: 100%;
        padding: 40px 20px;
    }
}

@media(max-width:580px){
    .sliderhouse img{
        width: 375px;
        height: 450px;
    }
}

@media(max-width:480px){
    .sliderhouse img{
      width: 275px;
      height: 350px;
    }

    .head{
      padding: 40px 50px;
  }
}


@media(max-width:319px){
  .sliderhouse img{
    width: 234px;
    height: 294px;
    margin-left: 15px;
  }
}

.filtretwo{
  background-image: url(merback/2.jpg);
  background-size: cover;
  background-position: center;
}

.plage{
  display: flex;
  justify-content: space-around;
  align-items: center;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 100px;
  padding: 150px 90px;
  border-top: 3px solid rgb(255, 255, 255);
  border-bottom: 3px solid rgb(255, 255, 255);
  background: rgba(0, 0, 0, 0.9);

}

.sliderplage img{
  width: 450px;
  height: 600px;
  display: none;
  border: 5px solid white;
}

.sliderplage img.active1{
  display: block;
  animation: fade 0.8s;
}
@keyframes fade {
  from{
      opacity: 0;
  } 
  to {
      opacity: 1;
  }
}

.plagetxt{
  background: transparent;
  width: 450px;
  padding: 40px 30px;
  border-radius: 30px;
  border: 4px solid turquoise;
}

.plagetxt h2{
  color: white;
  display: flex;
  justify-content: center;
  font-family: sans-serif;
  text-align: center;
}

.plagetxt p{
  color: white;
  font-family: 'Poppins', sans-serif;
  font-size: large;
}

.cont-btntwo{
  width: 80%;
  margin: 0 auto;
  padding: 15px 0px;
  border: 2px solid turquoise;
  background-color: #000000;
  margin-top: 10px;
  height: auto;
  display: flex;
  justify-content: center;
  border-radius: 10px;
}

.btn-navtwo{
  font-size: 35px;
  margin: 0px 50px;
  cursor: pointer;
  color: white;
}

@media(max-width:650px){
  .plage{
      padding: 50px 35px;
  }

  .plagetxt{
      width: 100%;
      padding: 40px 20px;
  }
}

@media(max-width:580px){
  .sliderplage img{
      width: 375px;
      height: 450px;
  }
}

@media(max-width:480px){
  .sliderplage img{
    width: 275px;
    height: 350px;
  }

  .head{
    padding: 40px 50px;
}
}


@media(max-width:319px){
.sliderplage img{
  width: 234px;
  height: 294px;
  margin-left: 15px;
}
}

.filtrethree{
  background-image: url(merback/3.jpg);
  background-size: cover;
  background-position: center;
}

.activite{
  display: flex;
  justify-content: space-around;
  align-items: center;
  flex-direction: row;
  flex-wrap: wrap-reverse;
  gap: 100px;
  padding: 150px 90px;
  border-top: 3px solid rgb(255, 255, 255);
  border-bottom: 3px solid rgb(255, 255, 255);
  background: rgba(0, 0, 0, 0.9);
}

.slideractivite img{
  width: 600px;
  height: 350px;
  display: none;
  border: 5px solid white;
}

.slideractivite img.active2{
  display: block;
  animation: fade 0.8s;
}
@keyframes fade {
  from{
      opacity: 0;
  } 
  to {
      opacity: 1;
  }
}

.activitetxt{
  background: transparent;
  width: 450px;
  padding: 40px 30px;
  border-radius: 30px;
  border: 4px solid turquoise;
}

.activitetxt h2{
  color: white;
  display: flex;
  justify-content: center;
  font-family: sans-serif;
  text-align: center;
}

.activitetxt p{
  color: white;
  font-family: 'Poppins', sans-serif;
  font-size: large;
}

.cont-btnthree{
  width: 80%;
  margin: 0 auto;
  padding: 15px 0px;
  border: 2px solid turquoise;
  background-color: #000000;
  margin-top: 10px;
  height: auto;
  display: flex;
  justify-content: center;
  border-radius: 10px;
}

.btn-navthree{
  font-size: 35px;
  margin: 0px 50px;
  cursor: pointer;
  color: white;
}

@media(max-width:650px){
  .activite{
      padding: 50px 35px;
  }

  .activitetxt{
      width: 100%;
      padding: 40px 20px;
  }
}

@media(max-width:680px){
  .slideractivite img{
    width: 500px;
    height: 250px;
  }
}

@media(max-width:580px){
  .slideractivite img{
    width: 400px;
    height: 240px;
  }
}

@media(max-width:480px){
  .slideractivite img{
    width: 265px;
    height: 210px;
  }

  .head{
    padding: 40px 50px;
}
}


@media(max-width:319px){
.slideractivite img{
  width: 225px;
  height: 170px;
  margin-left: 20px;
}
}

.mailacceuil{
  background-color: #000000;
  width: 100%;
  height: 100px;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  border-top: 2px solid turquoise;
}

.mailacceuil .email{
  color: turquoise;
  letter-spacing: 1.5px;
  text-decoration: underline;
}

@media(max-width:425px){
  .mailacceuil .email{
      font-size: 13.5px;
  }
}